/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * unity-webapps-script-repo.h
 * Copyright (C) Canonical LTD 2012
 * 
 * Author: Alexandre Abreu <alexandre.abreu@canonical.com>
 * 
unity-webapps is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * unity-webapps is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.";
 */

#ifndef __UNITY_WEBAPPS_SCRIPT_REPO_H__
#define __UNITY_WEBAPPS_SCRIPT_REPO_H__

#include <glib.h>

typedef struct UnityWebappsIntegrationScriptContent_t
{
	// script name
	gchar * name;

	// content of the js file
	gchar * content;

} UnityWebappsIntegrationScriptContent;

typedef struct UnityWebappsIntegrationScriptDescription_t
{
	gchar * name;
	gchar * namespace;
	gchar * description;

	gchar * version;
	gchar * author;

	// content of the script code
	gchar * content;

	// list of string URLs
	GSList * includes;

	// list of IntegrationScriptContent
	GSList * requires;

} UnityWebappsIntegrationScriptDescription;



gint unity_webapps_script_repo_get_path (gchar * path, guint size);


guint unity_webapps_script_repo_get_script_count (void);


UnityWebappsIntegrationScriptDescription ** unity_webapps_script_repo_get_descriptions (void);


void unity_webapps_script_repo_free_all (UnityWebappsIntegrationScriptDescription ** ppDescriptions);


#endif // __UNITY_WEBAPPS_SCRIPT_REPO_H__

